/**
 * SpaceCraft is the class that has the properties of the Space Craft
 * @author Rosalva Gallardo
 * @version 1.0.1
 */
import java.awt.Image;
import java.awt.Toolkit;


public class SpaceCraft {
	int positionX=50;
	int positionY=0;
	Image image = Toolkit.getDefaultToolkit().getImage ("img/lunarlander.png");
	
	int deltaX=1;
	double velocity=0;
	int burnRate=3;
	int rotation=0;
	double gravity = 1.64;	
	int rotationRate=1;
	int fuel=1000;
	/** 
	    * Set the positionX property 
	    * @param positionX int that represents the horizontal position of the space craft
	    */  	
	public void setPositionX(int positionX)
	{
		this.positionX = positionX;
	}
	/** 
	    * Get the positionX property 
	    */  	
	public int getPositionX()
	{
		return positionX;
    }
	/** 
	    * Set the positionY property 
	    * @param positionY int that represents the vertical position of the space craft
	    */ 	
	public void setPositionY(int positionY)
	{
		this.positionY = positionY;
	}
	/** 
	    * Get the positionY property 
	    * @param positionY int that represents the vertical position of the space craft
	    */ 
	public int getPositionY()
	{
		return positionY;
	}
	/** 
	    * Set the image property 
	    * @param image image of the space craft
	    */ 
	public void setImage(Image image)
	{
		this.image = image;
	}
	/** 
	    * Get the image property 
	    */ 
	public Image getImage()
	{
		return image;
	}
	
	/** 
	    * Set the rotation property 
	    * @param rotation int that represents the rotation of the space craft
	    */ 	
	public void setRotation(int rotation)
	{
		this.rotation = rotation;
	}
	/** 
	    * Get the rotation property 
	    */ 		
	public int getRotation()
	{
		return rotation;
    }
	/** 
	    * Set the gravity property 
	    * @param gravity double that represents the gravity of the space craft environment
	    */ 	
	public void setGravity(double gravity)
	{
		this.gravity = gravity;
	}
	/** 
	    * Get the gravity property 
	    */ 	
	public double getGravity()
	{
		return gravity;
    }
	
	/** 
	    * Set the deltaX property 
	    * @param deltaX int that represents the horizontal movement caused by gravity
	    */ 	
	public void setDeltaX(int deltaX)
	{
		this.deltaX = deltaX;
	}
	/** 
	    * Get the deltaX property 
	    */ 	
	public int getDeltaX()
	{
		return deltaX;
    }
	
	/** 
	    * Set the velocity property
	    * @param velocity double that represents the speed of the space craft
	    */ 		
	public void setVelocity(double velocity)
	{
		this.velocity = velocity;
	}
	/** 
	    * Get the velocity property
	    */ 		
	public double getVelocity()
	{
		return velocity;
    }
	
	/** 
	    * Set the rotation rate property
	    * @param rotationRate int that represents the rotation rate of the space craft
	    */ 		
	public void setRotationRate(int rotationRate)
	{
		this.rotationRate = rotationRate;
	}
	/** 
	    * Get the rotation rate property
	    */ 	
	public int getRotationRate()
	{
		return rotationRate;
    }
	
	/** 
	    * Set the burnRate property
	    * @param burnRate int that represents the burnRate of the space craft
	    */ 		
	public void setBurnRate(int burnRate)
	{
		this.burnRate = burnRate;
	}
	/** 
	    * Get the burnRate property
	    */	
	public int getBurnRate()
	{
		return burnRate;
    }
	
	/** 
	    * Set the fuel property
	    * @param fuel int that represents the fuel of the space craft
	    */ 		
	public void setFuel(int fuel)
	{
		this.fuel = fuel;
	}
	/** 
	    * Get the fuel property
	    */ 	
	public int getFuel()
	{
		return fuel;
    }
}
